% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/readNIfTI2.R
\name{readNIfTI2}
\alias{readNIfTI2}
\alias{readnii}
\title{readNIfTI with default non-reorientation}
\usage{
readNIfTI2(..., reorient = FALSE)

readnii(
  ...,
  reorient = FALSE,
  dtype = TRUE,
  drop_dim = TRUE,
  reset_slope = FALSE,
  warn = FALSE,
  rm_extensions = TRUE
)
}
\arguments{
\item{...}{Arguments to pass to \code{\link{readNIfTI}}}

\item{reorient}{Reorientation argument to pass to \code{\link{readNIfTI}}}

\item{dtype}{Should \code{\link{datatyper}} be run after reading?}

\item{drop_dim}{Should \code{\link{drop_img_dim}} be run after reading?}

\item{reset_slope}{Reset slope/intercept of image}

\item{warn}{Should warnings from \code{\link{readNIfTI}} be 
printed?  If not, \code{\link{suppressWarnings}} is called.  Also passed to 
\code{\link{datatyper}}}

\item{rm_extensions}{should niftiExtensions be converted to simple
nifti objects?}
}
\value{
\code{nifti} object
}
\description{
This function calls the \code{\link{readNIfTI}} function from the 
\code{oro.nifti} package, but sets the reorientation to \code{FALSE} by default
}
